<div class="wrap">
	<h1><?php _e('Bienvenue sur votre MoneyBox','themoneytizer');?></h1>

  <?php
  $themoney_site_ads_txt = get_option('themoney_site_ads_txt');
  $themoney_wp_lang = get_option('themoney_user_language');

  // array of language and sub-domain available for The Moneytizer website --> 'en' doesn't exist
  $themoney_sub_domain = array('fr' => 'www', 'en' => 'us', 'us' => 'us', 'es' => 'es', 'pt' => 'pt', 'de' => 'de', 'it' => 'it', 'pl' => 'pl', 'ru' => 'ru');

  // array of language and sub-domain available for cmp --> 'us' is not supported by cmp
  $themoney_sub_domain_cmp = array('fr' => 'fr', 'en' => 'en', 'us' => 'en', 'es' => 'es', 'pt' => 'pt', 'de' => 'de', 'it' => 'it', 'pl' => 'pl', 'ru' => 'ru');

  $themoney_language_cmp = array_key_exists($themoney_wp_lang, $themoney_sub_domain_cmp) ? $themoney_sub_domain_cmp[$themoney_wp_lang] : 'en'; // language of the cmp

  if($themoney_site_ads_txt != -1 && $themoney_site_ads_txt != get_option('themoney_ads_version')) {
  ?>

    <div class="update-nag notice">
      <p>
        <?php _e('Intégrez le fichier ADS.TXT au plus vite sur votre site sous peine de ne plus être monétisé.','themoneytizer') ?><br>
	      <?php _e('Toutes les informations concernant cette norme','themoneytizer') ?>
        <?php if (array_key_exists($themoney_wp_lang, $themoney_sub_domain)) { ?>

        <a href="https://<?= $themoney_sub_domain[$themoney_wp_lang]; ?>.themoneytizer.com/blog/fichier-ads-txt-the-moneytizer/" target="_blank">
          <?php _e('ici','themoneytizer') ?>
        </a>

        <?php } else { ?>

        <a href="https://us.themoneytizer.com/blog/fichier-ads-txt-the-moneytizer/" target="_blank">
	        <?php _e('ici','themoneytizer') ?>
        </a>

        <?php } ?>
      </p>

      <p>
        <?php _e('Télécharger notre fichier ads.txt :','themoneytizer') ?>
        <button class="bouton_money" id="themoney-download-ads-txt"> <?php _e('Télécharger le fichier','themoneytizer') ?> </button>
      </p>

      <p>
        <b><?php _e('ATTENTION :','themoneytizer') ?></b>
        <?php _e('Si vous avez déjà des publicités Adsense vous aurez besoin d\'ajouter votre ligne Adsense au fichier avant de le mettre en ligne','themoneytizer') ?>
      </p>
    </div>

  <?php }
  $themoney_site_cmp = get_option('themoney_site_cmp');
  if( $themoney_site_cmp == 0) {
  ?>

    <div class="update-nag notice">
      <p>
	      <?php _e('Afin de mettre en conformité votre site avec le nouveau Règlement Général sur la Protection des Données, il est impératif de diffuser un bandeau de consentement compatible avec cette nouvelle loi.','themoneytizer') ?>
      </p>
      <p>
          <?php _e('Copiez le code ci-dessous et mettez le dans le "head" de votre site','themoneytizer') ?>
      </p>
      <title>CMP The Moneytizer</title>

      <textarea id="themoney-content-cmp" rows="5" cols="75" onclick='this.select()' >
        <script type="text/javascript" async=true >
          var elem = document.createElement('script');
          elem.src = 'https://quantcast.mgr.consensu.org/cmp.js';
          elem.async = true;
          elem.type = "text/javascript";
          var scpt = document.getElementsByTagName('script')[0];
          scpt.parentNode.insertBefore(elem, scpt);
          (function() {
            var gdprAppliesGlobally = false;
            function addFrame() {
              if (!window.frames['__cmpLocator']) {
                if (document.body) {
                  var body = document.body,
                    iframe = document.createElement('iframe');
                  iframe.style = 'display:none';
                  iframe.name = '__cmpLocator';
                  body.appendChild(iframe);
                } else {
                  setTimeout(addFrame, 5);
                }
              }
            }
            addFrame();
            function cmpMsgHandler(event) {
              var msgIsString = typeof event.data === "string";
              var json;
              if(msgIsString) {
                json = event.data.indexOf("__cmpCall") != -1 ? JSON.parse(event.data) : {};
              } else {
                json = event.data;
              }
              if (json.__cmpCall) {
                var i = json.__cmpCall;
                window.__cmp(i.command, i.parameter, function(retValue, success) {
                  var returnMsg = {"__cmpReturn": {
                      "returnValue": retValue,
                      "success": success,
                      "callId": i.callId
                    }};
                  event.source.postMessage(msgIsString ?
                    JSON.stringify(returnMsg) : returnMsg, '*');
                });
              }
            }
            window.__cmp = function (c) {
              var b = arguments;
              if (!b.length) {
                return __cmp.a;
              }
              else if (b[0] === 'ping') {
                b[2]({"gdprAppliesGlobally": gdprAppliesGlobally,
                  "cmpLoaded": false}, true);
              } else if (c == '__cmp')
                return false;
              else {
                if (typeof __cmp.a === 'undefined') {
                  __cmp.a = [];
                }
                __cmp.a.push([].slice.apply(b));
              }
            }
            window.__cmp.gdprAppliesGlobally = gdprAppliesGlobally;
            window.__cmp.msgHandler = cmpMsgHandler;
            if (window.addEventListener) {
              window.addEventListener('message', cmpMsgHandler, false);
            }
            else {
              window.attachEvent('onmessage', cmpMsgHandler);
            }
          })();
          window.__cmp('init', {
            'Language': '<?php echo $themoney_language_cmp; ?>',
            'Initial Screen Body Text Option': 1,
            'Publisher Name': 'Moneytizer',
            'Default Value for Toggles': 'on',
            'UI Layout': 'banner',
            'No Option': false,
          });
        </script>
        <style>
          .qc-cmp-button,
          .qc-cmp-button.qc-cmp-secondary-button:hover {
            background-color: #000000 !important;
            border-color: #000000 !important;
          }
          .qc-cmp-button:hover,
          .qc-cmp-button.qc-cmp-secondary-button {
            background-color: transparent !important;
            border-color: #000000 !important;
          }
          .qc-cmp-alt-action,
          .qc-cmp-link {
            color: #000000 !important;
          }
          .qc-cmp-button,
          .qc-cmp-button.qc-cmp-secondary-button:hover {
            color: #ffffff !important;
          }
          .qc-cmp-button:hover,
          .qc-cmp-button.qc-cmp-secondary-button {
            color: #000000 !important;
          }
          .qc-cmp-small-toggle,
          .qc-cmp-toggle {
            background-color: #000000 !important;
            border-color: #000000 !important;
          }
          .qc-cmp-main-messaging,
          .qc-cmp-messaging,
          .qc-cmp-sub-title,
          .qc-cmp-privacy-settings-title,
          .qc-cmp-purpose-list,
          .qc-cmp-tab,
          .qc-cmp-title,
          .qc-cmp-vendor-list,
          .qc-cmp-vendor-list-title,
          .qc-cmp-enabled-cell,
          .qc-cmp-toggle-status,
          .qc-cmp-table,
          .qc-cmp-table-header {
            color: #000000 !important;
          }

          .qc-cmp-ui {
            background-color: #ffffff !important;
          }

          .qc-cmp-table,
          .qc-cmp-table-row {
            border: 1px solid !important;
            border-color: #000000 !important;
          }
          #qcCmpButtons a {
            text-decoration: none !important;

          }

          #qcCmpButtons button {
            margin-top: 65px;
          }


          @media screen and (min-width: 851px) {
            #qcCmpButtons a {
              position: absolute;
              bottom: 10%;
              left: 60px;
            }
          }
          .qc-cmp-qc-link-container{
            display:none;
          }
        </style>
      </textarea> <br>
      <button class="bouton_money" id="themoney-copy-cmp"><?php _e('Copier dans le presse papier','themoneytizer') ?></button>
    </div>

  <?php } ?>

	<h2 class="nav-tab-wrapper">
		<a id="menu_1" href="#home" class="nav-tab nav-tab-active">Home</a>
		<a id="menu_2" href="#tags" class="nav-tab">Tags</a>
		<a id="menu_4" href="#formats" class="nav-tab"><?php _e('Formats','themoneytizer');?></a>
		<a id="menu_3" href="#profil" class="nav-tab"><?php _e('Mon profil','themoneytizer');?></a>
	</h2>

  <?php
  include 'themoneytizer_tab_menu_home.php';
	include 'themoneytizer_tab_menu_tags.php';
	include 'themoneytizer_tab_menu_profil.php';
	include 'themoneytizer_tab_menu_formats.php';
	?>

</div>